// /lib/stores/contextStore.ts
import { writable } from 'svelte/store';

const createStore = () => writable({});

const contextStore = {};
export const getContextStore = (componentName) => {
    if (!contextStore[componentName]) {
        contextStore[componentName] = createStore();
    }
    return contextStore[componentName];
}
